Class Index | File Index

## Classes

- _global_
- jQuery
- jQuery.rdf
- jQuery.rdf.blank
- jQuery.rdf.databank
- jQuery.rdf.literal
- jQuery.rdf.pattern
- jQuery.rdf.resource
- jQuery.rdf.rule
- jQuery.rdf.ruleset
- jQuery.rdf.triple
- jQuery.typedValue
- jQuery.uri

# Class jQuery.uri

Represents a URI
Defined in: jquery.uri.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jQuery.uri(relative, base) Creates a new jQuery.uri object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| authority The authority used in the URI
| fragment The fragment part of the URI
| path The path used in the URI
| query The query part of the URI
| scheme The scheme used in the URI

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | jQuery.uri.absolute() Creates a jQuery.uri from a known-to-be-absolute URI
<static> | jQuery.uri.base() Returns the base URI of the page
<static> | jQuery.uri.relative(absolute, base) Creates a string giving the relative path from a base URI to an absolute URI
| relative(absolute) Creates a relative URI giving the path from this URI to the absolute URI passed as a parameter
| resolve(relative) Resolves a relative URI relative to this URI
<static> | jQuery.uri.resolve(relative, base) Creates a jQuery.uri from a relative URI and an optional base URI
| toString() Returns the URI as an absolute string

Class Detail
jQuery.uri(relative, base)
Creates a new jQuery.uri object. This should be invoked as a method rather than constructed using new.

    uri = jQuery.uri('/my/file.html');

Parameters:
{String} relative Optional, Default: ''
{String|jQuery.uri} base Optional
  Defaults to the base URI of the page

Returns:
  {jQuery.uri} The new jQuery.uri object.

Field Detail
{String} authority
The authority used in the URI

{String} fragment
The fragment part of the URI

{String} path
The path used in the URI

{String} query
The query part of the URI

{String} scheme
The scheme used in the URI
Method Detail
<static> {jQuery.uri} jQuery.uri.absolute()
Creates a jQuery.uri from a known-to-be-absolute URI

Parameters:
{String}

Returns:
  {jQuery.uri}

<static> {jQuery.uri} jQuery.uri.base()
Returns the base URI of the page

Returns:
  {jQuery.uri}

<static> {String} jQuery.uri.relative(absolute, base)
Creates a string giving the relative path from a base URI to an absolute URI

Parameters:
{String} absolute
{String} base

Returns:
  {String}

relative(absolute)
Creates a relative URI giving the path from this URI to the absolute URI passed as a parameter

Parameters:
{String|jQuery.uri} absolute

Returns:
  String

resolve(relative)
Resolves a relative URI relative to this URI

Parameters:
{String} relative

Returns:
  jQuery.uri

<static> {jQuery.uri} jQuery.uri.resolve(relative, base)
Creates a jQuery.uri from a relative URI and an optional base URI

Parameters:
relative
base

Returns:
  {jQuery.uri}

See:
  jQuery.uri

toString()
Returns the URI as an absolute string

Returns:
  String

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 04 2011 16:40:11 GMT+0100 (MEZ)